/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TWebSessionstate;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TWebSessionstateRecord extends UpdatableRecordImpl<TWebSessionstateRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_web_sessionstate.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_web_sessionstate.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_web_sessionstate.pk</code>. primary key
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_web_sessionstate.pk</code>. primary key
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_web_sessionstate.fk_application</code>.
     * foreign key to t_web_application entry
     */
    public void setFkApplication(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_web_sessionstate.fk_application</code>.
     * foreign key to t_web_application entry
     */
    public Integer getFkApplication() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_web_sessionstate.fk_usnr</code>. foreign key
     * to user
     */
    public void setFkUsnr(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_web_sessionstate.fk_usnr</code>. foreign key
     * to user
     */
    public Integer getFkUsnr() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_web_sessionstate.key</code>. key of this
     * parameter
     */
    public void setKey(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_web_sessionstate.key</code>. key of this
     * parameter
     */
    public String getKey() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_web_sessionstate.value</code>. value of this
     * parameter
     */
    public void setValue(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_web_sessionstate.value</code>. value of this
     * parameter
     */
    public String getValue() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TWebSessionstateRecord
     */
    public TWebSessionstateRecord() {
        super(TWebSessionstate.T_WEB_SESSIONSTATE);
    }

    /**
     * Create a detached, initialised TWebSessionstateRecord
     */
    public TWebSessionstateRecord(LocalDateTime lastchange, Integer pk, Integer fkApplication, Integer fkUsnr, String key, String value) {
        super(TWebSessionstate.T_WEB_SESSIONSTATE);

        setLastchange(lastchange);
        setPk(pk);
        setFkApplication(fkApplication);
        setFkUsnr(fkUsnr);
        setKey(key);
        setValue(value);
        resetChangedOnNotNull();
    }
}
